<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>Customer</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Customer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Customer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/Article.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/Order.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Customer.html" target="_top">Frames</a></li>
<li><a href="Customer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../beans/package-summary.html">beans</a></div>
<h2 title="Class Customer" class="title">Class Customer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>beans.Customer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Customer</span>
extends java.lang.Object</pre>
<div class="block">The Class Customer. It represents one row of the table 'users' in the database.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Edwin Braun</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#Customer--">Customer</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getAdmin--">getAdmin</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the admin.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getCustomerNo--">getCustomerNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the customer Number.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getEmail--">getEmail</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the email.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getFirstname--">getFirstname</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the firstname.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getFormOfAddress--">getFormOfAddress</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the form of address.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceHouseNumber--">getInvoiceHouseNumber</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice house number.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getInvoicePostalCode--">getInvoicePostalCode</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice postal code.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceStreet--">getInvoiceStreet</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice street.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getInvoiceTown--">getInvoiceTown</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice town.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getName--">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the name.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getOneTimeCustomer--">getOneTimeCustomer</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the one time customer.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getPassword--">getPassword</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the password.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#getTitle--">getTitle</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the title.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setAdmin-java.lang.String-">setAdmin</a></span>&#8203;(java.lang.String&nbsp;admin)</code></th>
<td class="colLast">
<div class="block">Sets the admin.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setCustomerNo-java.lang.String-">setCustomerNo</a></span>&#8203;(java.lang.String&nbsp;customerNo)</code></th>
<td class="colLast">
<div class="block">Sets the customer Number.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setEmail-java.lang.String-">setEmail</a></span>&#8203;(java.lang.String&nbsp;email)</code></th>
<td class="colLast">
<div class="block">Sets the email.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setFirstname-java.lang.String-">setFirstname</a></span>&#8203;(java.lang.String&nbsp;firstname)</code></th>
<td class="colLast">
<div class="block">Sets the firstname.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setFormOfAddress-java.lang.String-">setFormOfAddress</a></span>&#8203;(java.lang.String&nbsp;formOfAddress)</code></th>
<td class="colLast">
<div class="block">Sets the form of address.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setInvoiceHouseNumber-java.lang.String-">setInvoiceHouseNumber</a></span>&#8203;(java.lang.String&nbsp;invoiceHouseNumber)</code></th>
<td class="colLast">
<div class="block">Sets the invoice house number.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setInvoicePostalCode-java.lang.String-">setInvoicePostalCode</a></span>&#8203;(java.lang.String&nbsp;invoicePostalCode)</code></th>
<td class="colLast">
<div class="block">Sets the invoice postal code.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setInvoiceStreet-java.lang.String-">setInvoiceStreet</a></span>&#8203;(java.lang.String&nbsp;invoiceStreet)</code></th>
<td class="colLast">
<div class="block">Sets the invoice street.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setInvoiceTown-java.lang.String-">setInvoiceTown</a></span>&#8203;(java.lang.String&nbsp;invoiceTown)</code></th>
<td class="colLast">
<div class="block">Sets the invoice town.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setName-java.lang.String-">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Sets the name.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setOneTimeCustomer-java.lang.String-">setOneTimeCustomer</a></span>&#8203;(java.lang.String&nbsp;oneTimeCustomer)</code></th>
<td class="colLast">
<div class="block">Sets the one time customer.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setPassword-java.lang.String-">setPassword</a></span>&#8203;(java.lang.String&nbsp;password)</code></th>
<td class="colLast">
<div class="block">Sets the password.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Customer.html#setTitle-java.lang.String-">setTitle</a></span>&#8203;(java.lang.String&nbsp;title)</code></th>
<td class="colLast">
<div class="block">Sets the title.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Customer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Customer</h4>
<pre>public&nbsp;Customer()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getEmail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmail</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEmail()</pre>
<div class="block">Gets the email.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the email</dd>
</dl>
</li>
</ul>
<a name="setEmail-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEmail</h4>
<pre>public&nbsp;void&nbsp;setEmail&#8203;(java.lang.String&nbsp;email)</pre>
<div class="block">Sets the email.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - the new email</dd>
</dl>
</li>
</ul>
<a name="getOneTimeCustomer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOneTimeCustomer</h4>
<pre>public&nbsp;java.lang.String&nbsp;getOneTimeCustomer()</pre>
<div class="block">Gets the one time customer.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the one time customer</dd>
</dl>
</li>
</ul>
<a name="setOneTimeCustomer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOneTimeCustomer</h4>
<pre>public&nbsp;void&nbsp;setOneTimeCustomer&#8203;(java.lang.String&nbsp;oneTimeCustomer)</pre>
<div class="block">Sets the one time customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>oneTimeCustomer</code> - the new one time customer</dd>
</dl>
</li>
</ul>
<a name="getCustomerNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCustomerNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCustomerNo()</pre>
<div class="block">Gets the customer Number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the customer Number</dd>
</dl>
</li>
</ul>
<a name="setCustomerNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCustomerNo</h4>
<pre>public&nbsp;void&nbsp;setCustomerNo&#8203;(java.lang.String&nbsp;customerNo)</pre>
<div class="block">Sets the customer Number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>customerNo</code> - the new customer Number</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPassword()</pre>
<div class="block">Gets the password.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword&#8203;(java.lang.String&nbsp;password)</pre>
<div class="block">Sets the password.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - the new password</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Gets the name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Sets the name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the new name</dd>
</dl>
</li>
</ul>
<a name="getFirstname--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirstname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFirstname()</pre>
<div class="block">Gets the firstname.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the firstname</dd>
</dl>
</li>
</ul>
<a name="setFirstname-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFirstname</h4>
<pre>public&nbsp;void&nbsp;setFirstname&#8203;(java.lang.String&nbsp;firstname)</pre>
<div class="block">Sets the firstname.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firstname</code> - the new firstname</dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
<div class="block">Gets the title.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the title</dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle&#8203;(java.lang.String&nbsp;title)</pre>
<div class="block">Sets the title.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the new title</dd>
</dl>
</li>
</ul>
<a name="getFormOfAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFormOfAddress</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFormOfAddress()</pre>
<div class="block">Gets the form of address.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the form of address</dd>
</dl>
</li>
</ul>
<a name="setFormOfAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFormOfAddress</h4>
<pre>public&nbsp;void&nbsp;setFormOfAddress&#8203;(java.lang.String&nbsp;formOfAddress)</pre>
<div class="block">Sets the form of address.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>formOfAddress</code> - the new form of address</dd>
</dl>
</li>
</ul>
<a name="getInvoiceStreet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceStreet</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceStreet()</pre>
<div class="block">Gets the invoice street.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice street</dd>
</dl>
</li>
</ul>
<a name="setInvoiceStreet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceStreet</h4>
<pre>public&nbsp;void&nbsp;setInvoiceStreet&#8203;(java.lang.String&nbsp;invoiceStreet)</pre>
<div class="block">Sets the invoice street.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceStreet</code> - the new invoice street</dd>
</dl>
</li>
</ul>
<a name="getInvoiceHouseNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceHouseNumber</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceHouseNumber()</pre>
<div class="block">Gets the invoice house number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice house number</dd>
</dl>
</li>
</ul>
<a name="setInvoiceHouseNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceHouseNumber</h4>
<pre>public&nbsp;void&nbsp;setInvoiceHouseNumber&#8203;(java.lang.String&nbsp;invoiceHouseNumber)</pre>
<div class="block">Sets the invoice house number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceHouseNumber</code> - the new invoice house number</dd>
</dl>
</li>
</ul>
<a name="getInvoicePostalCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoicePostalCode</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoicePostalCode()</pre>
<div class="block">Gets the invoice postal code.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice postal code</dd>
</dl>
</li>
</ul>
<a name="setInvoicePostalCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoicePostalCode</h4>
<pre>public&nbsp;void&nbsp;setInvoicePostalCode&#8203;(java.lang.String&nbsp;invoicePostalCode)</pre>
<div class="block">Sets the invoice postal code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoicePostalCode</code> - the new invoice postal code</dd>
</dl>
</li>
</ul>
<a name="getInvoiceTown--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceTown</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceTown()</pre>
<div class="block">Gets the invoice town.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice town</dd>
</dl>
</li>
</ul>
<a name="setInvoiceTown-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceTown</h4>
<pre>public&nbsp;void&nbsp;setInvoiceTown&#8203;(java.lang.String&nbsp;invoiceTown)</pre>
<div class="block">Sets the invoice town.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceTown</code> - the new invoice town</dd>
</dl>
</li>
</ul>
<a name="getAdmin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdmin</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAdmin()</pre>
<div class="block">Gets the admin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the admin</dd>
</dl>
</li>
</ul>
<a name="setAdmin-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAdmin</h4>
<pre>public&nbsp;void&nbsp;setAdmin&#8203;(java.lang.String&nbsp;admin)</pre>
<div class="block">Sets the admin.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>admin</code> - the new admin</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Customer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/Article.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/Order.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Customer.html" target="_top">Frames</a></li>
<li><a href="Customer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
